Loading...
Searching...
No Matches
uhd::rfnoc::register_iface_holder Class Reference

`#include <uhd/rfnoc/register_iface_holder.hpp>`

Inheritance diagram for uhd::rfnoc::register_iface_holder:
[legend]

## Public Member Functions

| register_iface_holder (register_iface::sptr reg)
virtual | ~register_iface_holder ()=default
register_iface & | regs ()

## Protected Member Functions

void | update_reg_iface (register_iface::sptr new_iface=nullptr)

## Detailed Description

Register interface holder class

Classes derived from this class have access to a uhd::rfnoc::register_iface object.

## Constructor & Destructor Documentation

## register_iface_holder()

uhd::rfnoc::register_iface_holder::register_iface_holder | ( | register_iface::sptr | reg | ) |

inline

## ~register_iface_holder()

virtual uhd::rfnoc::register_iface_holder::~register_iface_holder | ( |  | ) |

virtual default

## Member Function Documentation

## regs()

register_iface & uhd::rfnoc::register_iface_holder::regs | ( |  | ) |

inline

Return the register interface to access low-level registers

Returns
  iface A reference to an interface for low-level register access

## update_reg_iface()

void uhd::rfnoc::register_iface_holder::update_reg_iface | ( | register_iface::sptr | new_iface = nullptr | ) |

protected

The documentation for this class was generated from the following file:

- register_iface_holder.hpp